# Class SunDoclet.Html

java.lang.Object
uk.ac.starlink.ttools.build.SunDoclet.Html

Enclosing class:
  `SunDoclet`

public static class SunDoclet.Html extends Object
Class for use with `javadoc` tool that writes MethodBrowser-friendly HTML output.

Doclet flags:

- `-d <base-dir>`
- `-headings`

Since:
  26 Jan 2023
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Html()`

## Method Summary

Modifier and Type
Method
Description
`static LanguageVersion`
`languageVersion()`
Required to make varargs work.
`static int`
`optionLength(String option)`
Define permitted command-line flags.
`static boolean`
`start(RootDoc root)`
Begin processing document.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Html

public Html()

## Method Details

### optionLength

public static int optionLength(String option)
Define permitted command-line flags. This method is part of the Doclet public interface.

### start

public static boolean start(RootDoc root) throws IOException
Begin processing document. This method is part of the Doclet public interface.

Throws:
  `IOException`

### languageVersion

public static LanguageVersion languageVersion()
Required to make varargs work.